package com.bcxin.tenant.open.domains.dtos;

import com.bcxin.tenant.open.infrastructures.enums.RecordStatus;
import lombok.Data;

@Data
public class MyAttendanceRecordDTO {
    private String operatorTime;
    private RecordStatus operatorType;
    private String name;
    private String operatorAddress;

    public static MyAttendanceRecordDTO create(String operatorTime,RecordStatus operatorType,String name,String operatorAddress){
        MyAttendanceRecordDTO record = new MyAttendanceRecordDTO();
        record.setOperatorTime(operatorTime);
        record.setOperatorType(operatorType);
        record.setName(name);
        record.setOperatorAddress(operatorAddress);

        return record;
    }
}
